org.codehaus.groovy.control

## Interface ParserPlugin

All Known Implementing Classes:
  AntlrParserPlugin

    public interface ParserPlugin

A simple extension point to allow us to switch between the classic Groovy parser and the new Antlr based parser

### Method Summary

All Methods Instance Methods Abstract Methods
`ModuleNode` `buildAST(SourceUnit sourceUnit, java.lang.ClassLoader classLoader, Reduction cst)`
`Reduction` `parseCST(SourceUnit sourceUnit, java.io.Reader reader)`

### Method Detail

#### parseCST

    Reduction parseCST(SourceUnit sourceUnit,
                       java.io.Reader reader)
                throws CompilationFailedException

Throws:
  `CompilationFailedException`

#### buildAST

    ModuleNode buildAST(SourceUnit sourceUnit,
                        java.lang.ClassLoader classLoader,
                        Reduction cst)
                 throws ParserException

Throws:
  `ParserException`